API & Integrations

API Integrations

API documentation for managing integrations with external providers

Mappings with a specific provider

Endpoint: GET /v1/waiters/integrations/mappings/{provider}

Returns the mappings for a specific provider.

Path parameters:

  • provider (required): A string specifying the provider. Possible values: denx.

Query parameters:

  • type (optional): A string specifying the mapping type. Possible values: Menu, MenuItem, Order, User, Client, Table.
  • internalId (optional): A 24-character hexadecimal string representing a valid ObjectId for the source mapping.
  • externalId (optional): A string representing the target mapping.

Example request:

GET /v1/waiters/integrations/mappings/denx?type=MenuItem&internalId=669e66e21d220deb8c0a02d2&externalId=123 HTTP/1.1
Authorization: Bearer {token}

Example response:

{
  "mappings": [
    {
      "restaurant": "5fdb5b57be64ca41708e284f",
      "provider": "denx",
      "type": "MenuItem",
      "mapping": {
        "internalId": "669e66e21d220deb8c0a02d2",
        "externalId": "123"
      }
    }
  ]
}